# Vadal Echo
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: vadal-echo
    version: v1
  name: vadal-echo-1
spec:
  selector:
    matchLabels:
      app: vadal-echo
      version: v1
  template:
    metadata:
      labels:
        app: vadal-echo
        version: v1
    spec:
      containers:
        - image: vadal-echo:1
          imagePullPolicy: IfNotPresent
          name: vadal-echo
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          ports:
            - containerPort: 8080
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: vadal-echo
    version: v2
  name: vadal-echo-2
spec:
  selector:
    matchLabels:
      app: vadal-echo
      version: v2
  template:
    metadata:
      labels:
        app: vadal-echo
        version: v2
    spec:
      containers:
        - image: vadal-echo:2
          imagePullPolicy: IfNotPresent
          name: vadal-echo
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          ports:
            - containerPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: vadal-echo
  labels:
    app: vadal-echo
    service: vadal-echo
spec:
  selector:
    app: vadal-echo
  ports:
    - name: http
      port: 8888
      targetPort: 8080
---
apiVersion: networking.istio.io/v1beta1
kind: Gateway
metadata:
  name: vadal-echo-gateway
  labels:
    app: vadal-echo
spec:
  selector:
    istio: ingressgateway # use istio default controller
  servers:
    - port:
        number: 80
        name: http
        protocol: http
      hosts:
        - host.docker.internal
---
apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: vadal-echo
  labels:
    app: vadal-echo
    kiali_wizard: traffic_shifting
spec:
  hosts:
    - host.docker.internal
  gateways:
    - vadal-echo-gateway
  http:
    - route:
        - destination:
            host: vadal-echo.default.svc.cluster.local
            port:
              number: 8888
  http:
    - route:
        - destination:
            host: vadal-echo.default.svc.cluster.local
            subset: v1
          weight: 50
        - destination:
            host: vadal-echo.default.svc.cluster.local
            subset: v2
          weight: 50
---
kind: DestinationRule
apiVersion: networking.istio.io/v1beta1
metadata:
  name: vadal-echo
  resourceVersion: '1571'
  labels:
    kiali_wizard: traffic_shifting
spec:
  host: vadal-echo.default.svc.cluster.local
  subsets:
    - name: v1
      labels:
        version: v1
    - name: v2
      labels:
        version: v2
